var Service = require('Service');
var util = require('util');

/**
 * 获得基础信息
 */
var GetBaseInfo = function() { 
  Service.call(this);
};

util.inherits(GetBaseInfo, Service);

module.exports = GetBaseInfo;

/**
 * 处理服务请求
 * @param  {Object} req 服务请求对象
 * @param  {Object} res 服务响应对象
 */
GetBaseInfo.prototype.process =  function(req, res) {
  res.data = {
    OrgCode : server.config.OrgCode,
    DefaultPassword : '********',
    DefaultTheme: server.config.DefaultTheme,
    HomePage: server.config.HomePage
  };
  res.Themes = server.config.Themes;
  this.end(res); 
};
